# https://fedoraproject.org/wiki/Packaging:SourceURL#Github
%global commit 6b6984be27ae7f800417bc7fe68bca38e2b5a9c1
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global srcname ouimeaux

Name: python-%{srcname}
Version: 0.8.2
Release: 1%{?shortcommit:.git.%{shortcommit}}%{?dist}
Summary: Open source control for Belkin WeMo devices

License: BSD
Url: https://github.com/iancmcc/ouimeaux
Source0: https://github.com/iancmcc/%{srcname}/archive/%{commit}.tar.gz#/%{name}-%{shortcommit}.tar.gz

BuildArch: noarch
BuildRequires: python3-devel

%{?python_enable_dependency_generator}
%description
Open source control for Belkin WeMo devices

- Supports WeMo Switch, Light Switch, Insight Switch and Motion
- Command-line tool to discover and control devices in your environment
- REST API to obtain information and perform actions on devices
- Simple responsive Web app provides device control on mobile
- Python API to interact with device at a low level

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Open source control for Belkin WeMo devices

- Supports WeMo Switch, Light Switch, Insight Switch and Motion
- Command-line tool to discover and control devices in your environment
- REST API to obtain information and perform actions on devices
- Simple responsive Web app provides device control on mobile
- Python API to interact with device at a low level

%prep
%autosetup -n %{srcname}-%{commit}

%build
%py3_build

%install
%py3_install

%check
#%{__python3} setup.py test

%files -n python3-%{srcname}
%license LICENSE
%doc README.md HISTORY.rst AUTHORS.rst CONTRIBUTING.rst
%{python3_sitelib}/*
%{_bindir}/wemo

%changelog
* Sun May 17 2020 Andrew Bauer <zonexpertconsulting@outlook.com> - 0.8.2-1.git.6b6984b
- Initial package

